CIF_COD_CHECK(1)

NAME
cif_cod_check - parse a CIF file, check if certain data values match COD requirements and IUCr data validation criteria (Version: 2000.06.09, https://www.iucr.org/__data/iucr/ftp/pub/dvntests or ftp://ftp.iucr.org/pub/dvntests)

SYNOPSIS
cif_cod_check --options input1.cif input*.cif

DESCRIPTION
Parse a CIF file, check if certain data values match COD requirements and IUCr data validation criteria (Version: 2000.06.09, https://www.iucr.org/__data/iucr/ftp/pub/dvntests or ftp://ftp.iucr.org/pub/dvntests)

OPTIONS
  -c, --always-continue
                    Continue processing and return successful return status
                    even if errors are diagnosed.

  -c-, --always-die
                    Stop and return error status if errors are diagnosed.

  --continue-on-errors
                    Do not terminate script if errors are raised.

  --die-on-errors
                    Terminate script immediately if errors are raised
                    (default).

  --continue-on-warnings
                    Do not terminate script if warnings are raised (default).

  --die-on-warnings
                    Terminate script immediately if warnings are raised.

  --continue-on-notes
                    Do not terminate script if notes are raised (default).

  --die-on-notes
                    Terminate script immediately if notes are raised.

  --use-perl-parser
                    Use Perl parser for CIF parsing.

  --use-c-parser
                    Use Perl & C parser for CIF parsing (default).

  --cif-input
                    Use CIF format for input (default).

  --json-input
                    Use JSON format for input.

For every --check-xyz option, there are the following corresponding related options:

  --check-only-xyz
                    Switch off any other checks and check ONLY xyz
                    (the last option on the command line wins).

  --no-check-xyz, --do-not-check-xyz, --dont-check-xyz
                    Switch off checks of xyz condition.

The check options are:

  --check-authors
                    Check if the author names comply with the COD name
                    syntax requirements. Default.

  --check-bibliography
                    Check if the bibliographical information referring to
                    the original source is present in the file. Default.

  --require-only-doi
                    Treat the presence of the DOI as sufficient bibliographic
                    information.

  --require-full-bibliography
                    Require a more detailed set of bibliographic information
                    containing items such as publication journal, year,
                    volume, page numbers, etc. Default.

  --check-chemical-formula-sum
                    Check if the summary chemical formula complies with
                    the chemical formula syntax requirements. This check
                    uses a simple syntax that does not take into account
                    things such as chemical element types, chemical element
                    order, etc. Default.

  --check-pd-block-relations
                    Check if the relations between powder diffractogram
                    and phase data blocks are properly described. Default.

  --check-spacegroup-info

  --check-operators, --check-symmetry-operators

  --check-unit-cell

  --check-symmetry

  --check-simultaneous-presence
                    Check if data items from a certain data item grouping
                    (e.g. atomic coordinates, anisotropic displacement
                    parameters, etc.) are all simultaneously present in
                    a data block. Missing data items are reported only
                    if at least one data item from the grouping is already
                    present in the data block. Default.

  --check-limits

  --print-limits

  --add-limits limits.lst

  --limits-file limits.lst

  --reset-limits

  --check-adp-presence
                    Check if each data block contains the atomic
                    displacement parameters. The check may optionally
                    be applied only to data files that were published after
                    a certain year (see --max-year-adp-presence-is-optional).
                    Default.

  --max-year-adp-presence-is-optional 1969
                    Check the presence of atomic displacement parameters
                    only in data files published after the specified year.
                    Modifies the behaviour of --check-adp-presence.
                    Use --no-max-year-adp-presence-is-optional to
                    override this option. Default: 1969.

  --no-max-year-adp-presence-is-optional
                    Check the presence of atomic displacement parameters
                    in all data files regardless of the publication year.
                    Modifies the behaviour of --check-adp-presence.

  --check-temperature-factors
                    Alias of the --check-adp-presence option.
                    Deprecated.

  --max-year-temperature-factors-optional 1969
                    Alias of the --max-year-adp-presence-is-optional option.
                    Deprecated.

  --no-max-year-temperature-factors-optional
                    Alias of the --no-max-year-adp-presence-is-optional option.
                    Deprecated.

  --check-shelx-checksums
                    Validate the checksums of embedded SHELX files.
                    Default.

  --check-embedded-file-integrity

  --check-z

  --check-disorder

  --check-unquoted-strings
                    Check if unquoted strings start or end with unusual
                    characters such as ";" or "'". The presence of such
                    features is a likely indication of an incorrectly
                    formatted multi-line text field or a quoted string.
                    Disabled by default.

  --check-all
                    Enable all available checks.

  --check-none, --dont-check-any,

  --do-not-check-any, --no-check-any
                    Disable all available checks.

  --help, --usage
                    Output a short usage message (this message) and exit.

  --version
                    Output version information and exit.

REPORTING BUGS
Report cif_cod_check bugs using e-mail: cod-bugs@ibt.lt